#!/usr/bin/python -u

import snmp_passpersist as snmp
from commands import getoutput

base_oid=".1.3.6.1.4.1234.1.3"

def get_file_systems():
    file_systems = getoutput("df -iP | awk '{print $1}'").split('\n')
    file_systems.remove('Filesystem')
    return file_systems

def get_inode_count():
    inode_count = getoutput("df -iP | awk '{print $3}'").split('\n')
    inode_count.remove('IUsed')
    return inode_count

def update():
     
     file_systems = get_file_systems()
     inode_count = get_inode_count()

     counter = 0
     for x in file_systems:
         counter += 1
         pp.add_int("1.%s" % str(counter),counter)
         pp.add_str("2.%s" % str(counter), x)

     counter = 0
     for x in inode_count:
         counter += 1
         pp.add_gau("3.%s" % str(counter), x)     

pp=snmp.PassPersist(base_oid)
pp.start(update,60)
